package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.Projectplan;

import java.util.List;

/**
 * ProjectplanService接口
 * 
 * @author hlf
 * @date 2022-08-30
 */
public interface IProjectplanService 
{
    /**
     * 查询Projectplan
     * 
     * @param id ProjectplanID
     * @return Projectplan
     */
    public Projectplan selectProjectplanById(Long id);

    /**
     * 查询Projectplan列表
     * 
     * @param projectplan Projectplan
     * @return Projectplan集合
     */
    public List<Projectplan> selectProjectplanList(Projectplan projectplan);

    /**
     * 新增Projectplan
     * 
     * @param projectplan Projectplan
     * @return 结果
     */
    public int insertProjectplan(Projectplan projectplan);

    /**
     * 修改Projectplan
     * 
     * @param projectplan Projectplan
     * @return 结果
     */
    public int updateProjectplan(Projectplan projectplan);

    /**
     * 批量删除Projectplan
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteProjectplanByIds(String ids);

    /**
     * 删除Projectplan信息
     * 
     * @param id ProjectplanID
     * @return 结果
     */
    public int deleteProjectplanById(Long id);

    Long selectNewData();

    String checkProjectplanUnique(Long windpower, String projectid, Long year, Long month);

    List<Projectplan> selectProjectplan(Long windplantNo, Long year, Long month);

    List<Projectplan> selectProjectplanByProjectNo(Long windplantNo, String projectid, Long year, Long month);

    List<Projectplan> selectProjectplanByYear(Long windplantNo, Long year);
}
